SCHED_RR_GET_INTERVAL(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
sched_rr_get_interval - get execution time limits (REALTIME)

SYNOPSIS

#include <sched.h>

int sched_rr_get_interval(pid_t pid, struct timespec *interval);

DESCRIPTION

The sched_rr_get_interval() function shall update the timespec structure referenced by the interval argument to contain the current execution time limit (that is, time quantum) for the process specified by pid. If pid is zero, the current execution time limit for the calling process shall be returned.

RETURN VALUE

If successful, the sched_rr_get_interval() function shall return zero. Otherwise, it shall return a value of -1 and set errno to indicate the error.

ERRORS

The sched_rr_get_interval() function shall fail if:

ESRCH
    No process can be found corresponding to that specified by pid.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

sched_getparam(), sched_get_priority_max(), sched_getscheduler(), sched_setparam(), sched_setscheduler(), the Base Definitions volume of IEEE Std 1003.1-2001, <sched.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .